Subject: Re: [RFC PATCH] udp: don't rereference dst_entry dev pointer on rcv

From: Tom Parkin <[email-masked]>
Date: Tue, 16 Apr 2013 21:20:22 +0100

On Thu, Apr 11, 2013 at 10:53:24AM -0700, Eric Dumazet wrote:
> On Thu, 2013-04-11 at 09:32 -0700, Eric Dumazet wrote:
> 
> > Short update : I do not understand yet why this patch is not working.
> > 
> > Normally, the reassembled packet should get the dst from the last skb
> > (the one completing the packet)...
> > 
> > I have to make more experiments.
> 
> OK I think I've nailed it, please try following patch (I tried it on
> net-next, but it should apply on previous kernels)
> 
> Thanks !

Thanks Eric, I've tested this patch here and it looks good.  Usually I
see an oops within 30 mins or so with my workload, but with this
change I've run for over two hours with no issues.

-- 
Tom Parkin
Katalix Systems Ltd
http://www.katalix.com
Catalysts for your Embedded Linux software development